image: docker:latest

stages:
    - build7.2
    - build8.1

Build php-fpm image 7.2:
    variables:
        CURRENT_IMAGE: "${CI_REGISTRY_IMAGE}:7.2"
        CURRENT_DOCKERFILE: ./Dockerfile-php7.2
    stage: build7.2
    services:
        - docker:dind
    script:
        - echo -n $CI_JOB_TOKEN | docker login -u "$CI_REGISTRY_USER" --password-stdin $CI_REGISTRY
        - docker build --tag $CURRENT_IMAGE -f - . < $CURRENT_DOCKERFILE
        - docker push $CURRENT_IMAGE
        - docker tag $CURRENT_IMAGE "${CI_REGISTRY_IMAGE}:latest"
        - docker push "${CI_REGISTRY_IMAGE}:latest"          
    only:
        - master         

Build php-fpm image 7.4:
    variables:
        CURRENT_IMAGE: "${CI_REGISTRY_IMAGE}:7.4"
        CURRENT_DOCKERFILE: ./Dockerfile-php7.4
    stage: build7.2
    services:
        - docker:dind
    script:
        - echo -n $CI_JOB_TOKEN | docker login -u "$CI_REGISTRY_USER" --password-stdin $CI_REGISTRY
        - docker build --tag $CURRENT_IMAGE -f - . < $CURRENT_DOCKERFILE
        - docker push $CURRENT_IMAGE
          #        - docker tag $CURRENT_IMAGE "${CI_REGISTRY_IMAGE}:latest"
          #        - docker push "${CI_REGISTRY_IMAGE}:latest"          
    only:
        - master         


Build php-fpm image 8.1:
    variables:
        CURRENT_IMAGE: "${CI_REGISTRY_IMAGE}:8.1"
        CURRENT_DOCKERFILE: ./Dockerfile-php8.1
    stage: build8.1
    services:
        - docker:dind
    script:
        - echo -n $CI_JOB_TOKEN | docker login -u "$CI_REGISTRY_USER" --password-stdin $CI_REGISTRY
        - docker build --tag $CURRENT_IMAGE -f - . < $CURRENT_DOCKERFILE
        - docker push $CURRENT_IMAGE
    only:
        - master        
